Bug 835863 (CVE-2012-2807)

Summary: CVE-2012-2807 libxml2 (64-bit): Multiple integer overflows, leading to DoS or possibly other unspecified impact
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: a9016009, ccoleman, c.david86, drizt, erik-fedora, fedora-mingw, lfarkas, mmcgrath, mnewsome, ohudlick, paul, rjones, teger, usurse, vcizek, veillard
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120626,reported=20120627,source=cve,cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-5/libxml2=affected,rhel-6/libxml2=affected,openshift-1/libxml2=notaffected,fedora-all/libxml2=affected,fedora-all/libxml=notaffected,rhel-6/mingw32-libxml2=notaffected,epel-5/mingw32-libxml2=affected,fedora-all/mingw32-libxml2=affected,cwe=CWE-190[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 843739, 843740, 843741, 843742, 843743, 858914, 858915    
Bug Blocks: 835864    

Description Jan Lieskovsky 2012-06-27 06:29:19 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-2807 to the following vulnerability:

Multiple integer overflows in libxml2, as used in Google Chrome before 20.0.1132.43, on 64-bit Linux platforms allow remote attackers to cause a denial of service or possibly have unspecified other impact via unknown vectors.

References:
[1] http://code.google.com/p/chromium/issues/detail?id=129930
[2] http://googlechromereleases.blogspot.com/2012/06/stable-channel-update_26.html
Comment 4 Daniel Veillard 2012-07-18 06:26:45 EDT
Okay, i finally pushed a patch upstream that I think should backport
rather easily

http://git.gnome.org/browse/libxml2/commit/?id=459eeb9dc752d5185f57ff6b135027f11981a626

that one

http://git.gnome.org/browse/libxml2/commit/?id=4f9fdc709c4861c390cd84e2ed1fd878b3442e28

should also be applied in the errata to avoid similar problem elsewhere.
Somehow that's not a complete fix but that's the most immediate and
simple way to stop the given problem. I'm still working on a (rather
large and intrusive) set of patches for upstream but I would not suggest
to push that in RHEL. For fedora I may be tempted to rebase once a new
libxml2 version is out

Daniel
Comment 6 Huzaifa S. Sidhpurwala 2012-07-27 03:08:17 EDT
The above patches, described in comment #4 seems to solve the problem here. libxml2 no longer crashes with them.

For Red Hat Enterprise Linux use case, we may however require few more patches from upstream.
Comment 9 Huzaifa S. Sidhpurwala 2012-07-27 04:42:59 EDT
Created libxml2 tracking bugs for this issue

Affects: fedora-all [bug 843743]
Comment 14 teger 2012-09-04 17:37:12 EDT
This has been reported over 2 months ago with a possible fix coming in a little over a month.  Is there any plan of action to fix libxml2 vulnerabilities?

Primarily this is a bump to put in back on someones to do list.
Thank you
Comment 16 errata-xmlrpc 2012-09-18 13:21:34 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:1288 https://rhn.redhat.com/errata/RHSA-2012-1288.html
Comment 17 Huzaifa S. Sidhpurwala 2012-09-19 22:42:09 EDT
Created mingw32-libxml2 tracking bugs for this issue

Affects: epel-5 [bug 858914]
Affects: fedora-all [bug 858915]
Comment 20 Huzaifa S. Sidhpurwala 2013-01-04 05:35:49 EST
This flaw affects x86_64 version of libxml2 only, however mingw32-libxml2 is only shipped as x86 (32-bit) and therefore it is not affected.


Statement:

This issue affected the version of libxml2 as shipped with Red Hat Enterprise Linux 5 and 6 has been addressed via RHSA-2012:1288. This issue does not affect the version of mingw32-libxml2 as shipped with Red Hat Enterprise Linux 6.